PHP雅黑探针v0.4.7去除BUG修改版(已适配PHP 8.0)

VPS教程 laibokeadd 628次浏览 已收录 0个评论

由于PHP雅黑探针的作者,貌似已经不再维护PHP雅黑探针了。故在此综合了各种PHP雅黑探针不能在PHP 7.0及以上环境下运行BUG的解决办法。并且,此版本已经适配了于2020年11月26日正式发布的PHP 8.0当中,网络上目前还未被提及到的,本人发现并处理的BUG。详情可以对比原始版本的PHP雅黑探针V0.4.7简体中文版,进行对照处理。欢迎大家以针会友。

主要发现的BUG:

1、PHP 8.0已经无法打开不存在于服务器上的文件,会直接报错。因此,本人将打开文件性能测试的打开文件,更改为了探针文件。性能与原始版本可能略有差异,测试结果仅供与原版不打开任何文件的版本进行参考。
2、PHP 8.0已经无法将$_SERVER[PHP_SELF]自动转换为$_SERVER[“PHP_SELF”](将常量类型识别并自动类型转换为字符串类型),故直接将程序当中的$_SERVER[PHP_SELF]都改为了$_SERVER[“PHP_SELF”]。
3、PHP 7.3版本开始,使用PCRE2作为新版的正则引擎,规则比PCRE更严格[1]

下载链接:tz.zip

[1] php7.3 preg_match(): Compilation failed: invalid range in character class at offset – 月下博客: https://ssrvps.org/archives/10154 .


来博客 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明PHP雅黑探针v0.4.7去除BUG修改版(已适配PHP 8.0)
喜欢 (9)
发表我的评论
取消评论

请输入验证码: *

表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址